Subject: [IPP] Updated IPP Presets whitepaper draft available for review

From: "Kennedy, Smith (Wireless Architect)" <[email-masked]>
Date: Thu, 27 Jul 2017 21:37:51 +0000

Greetings,

I've just posted an updated IPP Presets whitepaper draft to the PWG FTP site for review. It is here:

	https://ftp.pwg.org/pub/pwg/ipp/whitepaper/tb-ipp-preset-20170728.odt
	https://ftp.pwg.org/pub/pwg/ipp/whitepaper/tb-ipp-preset-20170728.pdf
	https://ftp.pwg.org/pub/pwg/ipp/whitepaper/tb-ipp-preset-20170728-rev.odt
	https://ftp.pwg.org/pub/pwg/ipp/whitepaper/tb-ipp-preset-20170728-rev.pdf

Changes include the following:

• Added Printing Terminology by copy / paste from RFC 8011 section 2.2
Incorporated Internationalization and Security Considerations content from IPP System

• Added and fixed many references

• Refactored section 4 according to the meeting minutes to include PAPI examples to better illustrate the structure, which is difficult to articulate using conventional IPP syntax (since there isn't a formal “data type” for “any attribute”

Other additions and changes:

• Added a new use case “Client Saving Preset Settings to Printer” to explore how that might be supported in IPP, and if that requires additional definitions.

Cheers,

Smith

/**
    Smith Kennedy
    Wireless Architect - Client Software - IPG-PPS
    Standards - IEEE ISTO PWG / Bluetooth SIG / Wi-Fi Alliance / NFC Forum / USB IF
    Chair, IEEE ISTO Printer Working Group
    HP Inc.
*/

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp